/* tslint:disable */
/* eslint-disable */
/**
 * FastAPI
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: 0.1.0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */



/**
 * Aperture specifies how the aperture of a subarray beam should be configured.  :param station_id: ID of station :param substation_id: ID of sub station :param weighting_key: weighting key value
 * @export
 * @interface Aperture
 */
export interface Aperture {
    /**
     * 
     * @type {number}
     * @memberof Aperture
     */
    'station_id': number;
    /**
     * 
     * @type {number}
     * @memberof Aperture
     */
    'substation_id': number;
    /**
     * 
     * @type {string}
     * @memberof Aperture
     */
    'weighting_key'?: string;
}

